# List favorites List favorite items for a user, optionally filtered by type and search query. Endpoint: GET /v2/users/{userId}/favorites Version: v2 Security: Bearer ## Path parameters: - `userId` (string, required) Identifier for user. Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Query parameters: - `types` (array) Filter by favorite types. If empty, returns all types. - `query` (string) Search query to filter favorites by display name. ## Response 200 fields (application/json): - `favorites` (array) - `favorites.favorite` (object) A single favorite item. - `favorites.favorite.favoriteId` (string) Unique identifier for the favorite item. - `favorites.favorite.type` (string) The type of favorite. - `favorites.favorite.params` (object) Key-value pairs of parameters for the favorite. - `favorites.favorite.displayName` (string) Display name for the favorite item. - `favorites.favorite.createdAt` (string) Timestamp when the favorite was created. - `favorites.url` (string) The URL for this favorite. ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.